PublisherServiceCall
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.wrapper
Class PublisherServiceCall

    java.lang.Object
      RICall
          org.gcube.application.aquamaps.aquamapsservice.stubs.wrapper.AquaMapsCall
              org.gcube.application.aquamaps.aquamapsservice.stubs.wrapper.PublisherServiceCall

All Implemented Interfaces:
  PublisherInterface

    public class PublisherServiceCall

extends AquaMapsCall
implements PublisherInterface

Method Summary
`static PublisherInterface` | `getCall(GCUBEScope scope, java.lang.String defaultURI, boolean queryIS)` Creates a call with a disabled security manager
`java.util.List<File>` | `getFileSetById(java.lang.String fileSetId)`
`java.util.List<File>` | `getFileSetsByCoverage(Resource source, java.lang.String parameters)`
`java.lang.String` | `getJsonSubmittedByFilters(java.util.List<Field> filters, PagedRequestSettings settings)`
`LayerInfo` | `getLayerById(java.lang.String layerId)`
`java.util.List<LayerInfo>` | `getLayersByCoverage(Resource source, java.lang.String parameters)`
`java.util.List<AquaMap>` | `getMapsBySpecies(java.lang.String[] speciesIds, boolean includeGis, boolean includeCustom, java.util.List<Resource> resources)`
`static PublisherInterface` | `getWrapper(GCUBEScope scope, GCUBESecurityManager[] securityManager, java.lang.String defaultURI, boolean queryIS)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getWrapper

    public static PublisherInterface getWrapper(GCUBEScope scope,
                                                GCUBESecurityManager[] securityManager,
                                                java.lang.String defaultURI,
                                                boolean queryIS)
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getCall

    public static PublisherInterface getCall(GCUBEScope scope,
                                             java.lang.String defaultURI,
                                             boolean queryIS)
                                      throws java.lang.Exception

  Creates a call with a disabled security manager

  Parameters:
    `scope` -
    `defaultURI` -
  Returns:
  Throws:
    `java.lang.Exception`

### getMapsBySpecies

    public java.util.List<AquaMap> getMapsBySpecies(java.lang.String[] speciesIds,
                                                    boolean includeGis,
                                                    boolean includeCustom,
                                                    java.util.List<Resource> resources)
                                             throws java.lang.Exception

  Specified by:
    `getMapsBySpecies` in interface `PublisherInterface`
  Throws:
    `java.lang.Exception`

### getJsonSubmittedByFilters

    public java.lang.String getJsonSubmittedByFilters(java.util.List<Field> filters,
                                                      PagedRequestSettings settings)
                                               throws java.lang.Exception

  Specified by:
    `getJsonSubmittedByFilters` in interface `PublisherInterface`
  Throws:
    `java.lang.Exception`

### getFileSetById

    public java.util.List<File> getFileSetById(java.lang.String fileSetId)
                                        throws java.lang.Exception

  Specified by:
    `getFileSetById` in interface `PublisherInterface`
  Throws:
    `java.lang.Exception`

### getLayerById

    public LayerInfo getLayerById(java.lang.String layerId)
                           throws java.lang.Exception

  Specified by:
    `getLayerById` in interface `PublisherInterface`
  Throws:
    `java.lang.Exception`

### getLayersByCoverage

    public java.util.List<LayerInfo> getLayersByCoverage(Resource source,
                                                         java.lang.String parameters)
                                                  throws java.lang.Exception

  Specified by:
    `getLayersByCoverage` in interface `PublisherInterface`
  Throws:
    `java.lang.Exception`

### getFileSetsByCoverage

    public java.util.List<File> getFileSetsByCoverage(Resource source,
                                                      java.lang.String parameters)
                                               throws java.lang.Exception

  Specified by:
    `getFileSetsByCoverage` in interface `PublisherInterface`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD